# La cultura del disprezzo

Così, quando ho iniziato a programmare nel 2001, era quotidiano nelle comunità a cui partecipavo essere altamente critici nei confronti degli alcuni linguaggi. Alcuni linguaggi facevano schifo, le persone che li usavano erano perdenti o stupide, se avessero usato un vero linguaggio, come quello che usavamo noi, tutto sarebbe stato migliore.

Giusto?

Questo tipo di linguaggio culturalmente codificato era davvero prevalente intorno alla condanna di PHP e Java. Gli sviluppatori di questi linguaggi erano attivamente indicati come meno competenti degli sviluppatori di altri linguaggi più benedetti.

E a quel tempo, come nuovo persona che sviluppa codice, ho interiorizzato questo in modo piuttosto pesante. Il linguaggio in cui mi trovavo era benedetto, ovviamente, non perché lo stavo usando ma perché era meglio progettato di un linguaggio come PHP, meno prolisso e fastidioso di Java, più flessibile di molte altre opzioni.

Non importava che fosse (e rimanesse) difficile da leggere, era che eravamo migliori per averlo usato.

Ho ripetuto questo modello per un tempo molto lungo, e man mano che imparavo nuovi linguaggi e modelli ripetevo lo stesso comportamento in quei nuovi ambienti. Quasi certamente non ero così divertente da avere intorno, un microcosmo della più ampia sgradevolezza nella tecnologia.

Almeno, finché non venivo chiamato in causa.
"Hai pensato a..."

Avevo fatto commenti critici su PHP, il linguaggio, e sugli sviluppatori PHP, niente di più che il classico "PHP fa schifo". La stessa cosa che avevo fatto, e sostenuto a fare, per anni.

Uscirne è stato difficile, e mi è stato chiesto di considerare chi e cosa stavo criticando. Sono stata in grado di accedere ad una versione molto specifica della narrazione da autodidatta, in cui usavo "veri" linguaggi di programmazione e avevo "vera" passione e grinta, il cui risultato era che mi adattavo ai primi archetipi di hacker e mi era permessa lo status - a patto che partecipassi al gate keeping. La mia narrazione da autodidatta non è la narrazione da autodidatta degli altri, e questo mi è stato ricordato molto fermamente. Altre narrazioni da autodidatta, come iniziare con un background di design basato su Wordpress e passare da temi più semplici a temi più complessi dove è richiesta la conoscenza di PHP, fino allo sviluppo di plugin è una narrazione completamente valida, ma un percorso che è prevalentemente per donne.

Questa è stata una bomba. Avevo criticato a gran voce il linguaggio e, attraverso quella critica, implicavo che le persone che usavano il linguaggio non erano brave come me, non erano brave a programmare. E improvvisamente stavo pensando a tutte le miriadi di modi in cui qualcuno con quel background si sarebbe sentito altro da me, come se non appartenesse e non fosse il benvenuto nelle comunità di cui facevo parte.

Tutti i modi in cui stavo partecipando attivamente all'esclusione delle donne dalle STEM.

L'intenzione non è una magia1

Naturalmente, non avevo intenzione di fare nessuna di queste cose, ma come sono arrivata a capire, non importa ciò che avevo intenzione di fare, ciò che conta è che l'ho fatto e che ha avuto ripercussioni reali.

Avevo intenzione di prendere in giro un linguaggio, la ripercussione è che le persone provenienti da minoranze non avrebbero voluto parlarmi delle cose che avevano fatto in quella lingua, non si sarebbero sentite sicure a parlare dei loro successi e delle loro imprese.

E perché dovrebbero sentirsi al sicuro? Se dicono quello che usano, noi come cultura ridiamo della loro scelta. Diciamo loro che dovrebbero saperlo meglio, diciamo loro che è uno strumento orribile. Diciamo loro che si sbagliano. Ignoriamo il risultato e ci concentriamo esclusivamente su come è stato raggiunto, su quanto siamo migliori perché abbiamo avuto accesso a narrazioni che la cultura più ampia aveva già ritenuto più reali.

Non narrazioni migliori o strumenti migliori, solo più accettati, più permessi, più discriminatori.

Moneta del disprezzo

Mi è stato insegnato ad essere sprezzante delle narrazioni non "benedette", e mi è stato insegnato a pagare il mio continuo accesso alle comunità tecniche perpetuando quel disprezzo. Mi è stato insegnato ad avere un elevato senso di autostima, guidato dall'elitarismo arricchito nell'etica hacker mentre imparavo a programmare. Adottando gli stessi modelli che altre persone più esperte esprimevano, potevo sentirmi più credibile, più come una vera parte della comunità, più come se appartenessi.

Ho comprato il mio senso di appartenenza, con disprezzo, e l'ho pagato con disprezzo e con comportamenti di esclusione.

E ora, mi rendo conto di quanto sia una risposta d'ansia. E se avessi scelto la cosa sbagliata? E se le altre persone mi giudicassero per le mie scelte e affermassero che le mie abilità duramente guadagnate in realtà non valgono nulla?

E se la gente scoprisse che sono un impostore?

Perpetuando una cultura del disprezzo come mezzo per acquisire credibilità, sono stato in grado di evitare queste difficili domande introspettive. Non dobbiamo guardare come stiamo danneggiando le altre persone che vogliono entrare, non dobbiamo riconoscere la vocina fastidiosa in fondo alla testa che ci chiede se sei abbastanza bravo. Non ero io a sbagliare, erano loro.

Invece, mi è stato insegnato a usare le armi emotive per mettere a tacere ed escludere gli altri, con il risultato che le voci rimanenti sono le più tossiche ed escludenti, le più capaci di tollerare le tossine.

Questo modello è comune nel settore tecnologico, da progetti di altissimo profilo come il kernel di Linux alle "guerre" in corso tra os/linguaggio/editor, ai vili atteggiamenti reazionari verso l'introduzione di codici di condotta, agli sviluppatori che fanno commenti denigratori sull'abilità di codificare di altre persone, e il crescente disprezzo per le persone il cui primo o principale linguaggio è JavaScript. E ora

Questa cultura ha delle ramificazioni. Le comunità PHP, per esempio, hanno mancato l'accesso allo sviluppo di strumenti DevOps, l'uso di PHP è ampiamente deriso come insicuro di default, sono ampiamente derisi per essere un "linguaggio oggettivamente cattivo".

Eppure la gente si guadagna da vivere lavorando con PHP, distribuendo PHP, cercando di rendere sicuro PHP. Non meritano l'aiuto che abbiamo ricevuto, l'aiuto delle buone pratiche e dello sviluppo security-first? Queste persone che non possono migliorare il loro lavoro perché non lavoriamo con loro e li allontaniamo dalle nostre comunità con derisione e dispetto.

E poi ingegnerizzano le cose per conto loro, perché hanno ancora bisogno di questi strumenti, e noi abbiamo il coraggio di chiedere perché non hanno usato questi altri strumenti.

Strumenti di cui li abbiamo presi in giro per averli chiesti, dicendo loro di procurarsi un vero linguaggio, di riscrivere tutta la loro app, di ricostruirla da zero perché il loro particolare percorso non era abbastanza benedetto.

Perché eravamo noi gli elementi problematici. Sono stanco di questo

Siamo nel 2015, e ho visto un presentatore ad una conferenza Python prendersi gioco di Java. Come si sentirebbero le persone che cercano di passare da Java a qualcos'altro? Non mi sentirei il benvenuto, e avrei imparato che l'idea che la comunità Python è accogliente non è vera.

Sono stanco di convocare le persone ancora e ancora per scaricare frustrazione sul PHP.

Sono stanco delle persone che scaricano su Windows, il sistema operativo più popolare, perché non è quello che abbiamo scelto di usare, stanco del fatto che non rendiamo facile l'uso dei nostri strumenti e insegniamo agli utenti come muoversi, quando sono pronti.

Invece, diamo lezioni, li liquidiamo e li disprezziamo. Non rafforziamo le nostre comunità con il rispetto o il senso di realizzazione, ma con la vergogna e il disprezzo e l'orrore. Escludiamo le persone.

Io ho escluso delle persone. Direttamente, io. Devo ammetterlo e affrontarlo.

Abbiamo escluso delle persone. Direttamente. Tutti noi. Anche se non ne avevamo l'intenzione, non importa. Ci prendiamo gioco delle cose a cui gli altri tengono, li facciamo sentire piccoli, li facciamo sentire come se i loro successi non contassero. Li facciamo sentire come se non fossero i benvenuti. Cosa possiamo fare?

ZITTA. ZITTA.

No, davvero, diamoci un taglio. Se dovete prendere in giro un linguaggio, fatelo con il vostro linguaggio, all'interno della vostra comunità. JavaScript è davvero bravo in questo, perché stanno cercando di aiutare le persone a scrivere codice migliore all'interno di JavaScript.

Fatelo solo con gli amici, e riconoscete che è estremamente problematico che lo stiate facendo.

Trovate qualche progetto incredibile da celebrare in un linguaggio che disprezzate.

Andate ai meetup di ciò che disprezzate. Dì che non sai niente e vedi come sono accoglienti con i nuovi. Vedi cosa dicono, cosa fanno, e chiedi se saresti altrettanto accogliente con loro quando vengono ai tuoi incontri.

Lavora per cambiare la tua comunità. Chiedete alle persone che cercano di pagare la loro iscrizione con disprezzo di fermarsi, o di andarsene. Rendete inaccettabile l'uso di questi comportamenti come mezzo per ottenere ricchezza sociale.

Il miglior consiglio che diamo a chi programma è di lasciare le cose meglio di come sono iniziate. Lo facciamo con il codice, perché non lo facciamo con le comunità? Perché non lo facciamo con le persone, i colleghi, gli amici?

Chiedete perché va bene fare queste cose nella vostra comunità, e lasciate le cose migliori di quando avete iniziato.

    L'intento è magico!

